Index: buildrom-devel/config/platforms/db800.conf
===================================================================
--- buildrom-devel/config/platforms/db800.conf	(revision 89)
+++ buildrom-devel/config/platforms/db800.conf	(working copy)
@@ -14,7 +14,7 @@
 # Use the same settings as the Norwich platform
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/norwich-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/norwich-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/norwich-linuxbios.mk
 
 # kernel configuration (for LAB)
 # Use the same settings as the Norwich platform
@@ -30,9 +30,9 @@
 
 LINUXBIOS_VENDOR=amd
 LINUXBIOS_BOARD=db800
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=db800
-LINUXBIOS_TAG=2810
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=db800
+LBV2_TAG=2810
 LINUXBIOS_ROM_NAME=db800.rom
 
 # FILO configuration
Index: buildrom-devel/config/platforms/tyan-s2882.conf
===================================================================
--- buildrom-devel/config/platforms/tyan-s2882.conf	(revision 89)
+++ buildrom-devel/config/platforms/tyan-s2882.conf	(working copy)
@@ -17,7 +17,7 @@
 # Targets
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/tyan-s2882-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/tyan-s2882-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/tyan-s2882-linuxbios.mk
 
 # kernel configuration (for LAB)
 
@@ -38,9 +38,9 @@
 
 LINUXBIOS_VENDOR=tyan
 LINUXBIOS_BOARD=s2882
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=s2882
-LINUXBIOS_TAG=2887
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=s2882
+LBV2_TAG=2887
 LINUXBIOS_ROM_NAME=linuxbios.rom
 
 # FILO configuration
Index: buildrom-devel/config/platforms/tyan-s2891.conf
===================================================================
--- buildrom-devel/config/platforms/tyan-s2891.conf	(revision 89)
+++ buildrom-devel/config/platforms/tyan-s2891.conf	(working copy)
@@ -17,7 +17,7 @@
 # Targets
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/tyan-s2891-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/tyan-s2891-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/tyan-s2891-linuxbios.mk
 
 # kernel configuration (for LAB)
 
@@ -38,9 +38,9 @@
 
 LINUXBIOS_VENDOR=tyan
 LINUXBIOS_BOARD=s2891
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=s2891
-LINUXBIOS_TAG=2792
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=s2891
+LBV2_TAG=2792
 LINUXBIOS_ROM_NAME=linuxbios.rom
 
 # FILO configuration
Index: buildrom-devel/config/platforms/m57sli.conf
===================================================================
--- buildrom-devel/config/platforms/m57sli.conf	(revision 89)
+++ buildrom-devel/config/platforms/m57sli.conf	(working copy)
@@ -17,7 +17,7 @@
 # Targets
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/m57sli-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/m57sli-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/m57sli-linuxbios.mk
 
 # kernel configuration (for LAB)
 
@@ -38,9 +38,9 @@
 
 LINUXBIOS_VENDOR=gigabyte
 LINUXBIOS_BOARD=m57sli
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=m57sli
-LINUXBIOS_TAG=2958
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=m57sli
+LBV2_TAG=2958
 LINUXBIOS_ROM_NAME=linuxbios.rom
 
 # FILO configuration
Index: buildrom-devel/config/platforms/dbe61.conf
===================================================================
--- buildrom-devel/config/platforms/dbe61.conf	(revision 89)
+++ buildrom-devel/config/platforms/dbe61.conf	(working copy)
@@ -14,7 +14,7 @@
 # Targets
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/norwich-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/norwich-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/norwich-linuxbios.mk
 
 # kernel configuration (for LAB)
 
@@ -29,9 +29,9 @@
 
 LINUXBIOS_VENDOR=artecgroup
 LINUXBIOS_BOARD=dbe61
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=dbe61
-LINUXBIOS_TAG=2728
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=dbe61
+LBV2_TAG=2728
 LINUXBIOS_ROM_NAME=dbe61.rom
 
 # FILO configuration
Index: buildrom-devel/config/platforms/alix1c.conf
===================================================================
--- buildrom-devel/config/platforms/alix1c.conf	(revision 89)
+++ buildrom-devel/config/platforms/alix1c.conf	(working copy)
@@ -12,7 +12,7 @@
 # Targets
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/alix1c-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/alix1c-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/alix1c-linuxbios.mk
 
 # kernel configuration (for LAB)
 
@@ -27,9 +27,9 @@
 
 LINUXBIOS_VENDOR=pcengines
 LINUXBIOS_BOARD=alix1c
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=alix1c
-LINUXBIOS_TAG=2807
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=alix1c
+LBV2_TAG=2807
 LINUXBIOS_ROM_NAME=linuxbios.rom
 
 # FILO configuration
Index: buildrom-devel/config/platforms/ga-2761gxdk.conf
===================================================================
--- buildrom-devel/config/platforms/ga-2761gxdk.conf	(revision 89)
+++ buildrom-devel/config/platforms/ga-2761gxdk.conf	(working copy)
@@ -18,7 +18,7 @@
 
 # Disable for now - I don't know the right kernel for this platform
 #KERNEL_MK=$(PACKAGE_DIR)/kernel/
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/ga-2761gxdk-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/ga-2761gxdk-linuxbios.mk
 
 # kernel configuration (for LAB)
 
@@ -34,9 +34,9 @@
 
 LINUXBIOS_VENDOR=gigabyte
 LINUXBIOS_BOARD=ga_2761gxdk
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=ga_2761gxdk
-LINUXBIOS_TAG=2908
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=ga_2761gxdk
+LBV2_TAG=2908
 LINUXBIOS_ROM_NAME=linuxbios.rom
 
 # FILO configuration
Index: buildrom-devel/config/platforms/msm800sev.conf
===================================================================
--- buildrom-devel/config/platforms/msm800sev.conf	(revision 89)
+++ buildrom-devel/config/platforms/msm800sev.conf	(working copy)
@@ -13,7 +13,7 @@
 # Targets
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/msm800sev-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/msm800sev-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/msm800sev-linuxbios.mk
 
 # kernel configuration (for LAB)
 
@@ -28,9 +28,9 @@
 
 LINUXBIOS_VENDOR=digitallogic
 LINUXBIOS_BOARD=msm800sev
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=msm800sev
-LINUXBIOS_TAG=2810
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=msm800sev
+LBV2_TAG=2810
 LINUXBIOS_ROM_NAME=linuxbios.rom
 
 # FILO configuration
Index: buildrom-devel/config/platforms/serengeti_cheetah.conf
===================================================================
--- buildrom-devel/config/platforms/serengeti_cheetah.conf	(revision 89)
+++ buildrom-devel/config/platforms/serengeti_cheetah.conf	(working copy)
@@ -18,7 +18,7 @@
 # Targets
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/serengeti_cheetah-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/serengeti_cheetah.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/serengeti_cheetah.mk
 
 # kernel configuration (for LAB)
 
@@ -42,19 +42,19 @@
 
 # LinuxBIOS configuration
 
+LINUXBIOS_VENDOR=amd
+LBV2_CONFIG=Config.lb
+
 ifeq ($(CONFIG_PLATFORM_CHEETAH_FAM10),y)
-LINUXBIOS_VENDOR=amd
 LINUXBIOS_BOARD=serengeti_cheetah_fam10
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=serengeti_cheetah_fam10
-LINUXBIOS_TAG=3018
+LBV2_TDIR=serengeti_cheetah_fam10
+LBV2_TAG=3018
 LINUXBIOS_ROM_NAME=amd-cheetah-fam10.rom
 else
-LINUXBIOS_VENDOR=amd
 LINUXBIOS_BOARD=serengeti_cheetah
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=serengeti_cheetah
-LINUXBIOS_TAG=2950
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=serengeti_cheetah
+LBV2_TAG=2950
 LINUXBIOS_ROM_NAME=serengeti_cheetah.rom
 endif
 
Index: buildrom-devel/config/platforms/Config.in
===================================================================
--- buildrom-devel/config/platforms/Config.in	(revision 89)
+++ buildrom-devel/config/platforms/Config.in	(working copy)
@@ -17,6 +17,7 @@
 
 config VENDOR_GIGABYTE
 	bool "GIGABYTE"
+	depends LINUXBIOS_V2
 
 config VENDOR_PC_ENGINES
 	bool "PC Engines"
@@ -26,9 +27,11 @@
 
 config VENDOR_SUPERMICRO
 	bool "Supermicro"
+	depends LINUXBIOS_V2
 
 config VENDOR_TYAN
 	bool "Tyan"
+	depends LINUXBIOS_V2
 
 endchoice
 
@@ -61,29 +64,34 @@
 config PLATFORM_DB800
 	bool "AMD DB800"
 	depends VENDOR_AMD
+	depends LINUXBIOS_V2
 	select PLATFORM
 
 config PLATFORM_GA_M57SLI_S4
        bool "GIGABYTE GA-M57SLI-S4"
        depends VENDOR_GIGABYTE
+       depends LINUXBIOS_V2
        select PLATFORM
        select PLATFORM_SUPPORT_64BIT
 
 config PLATFORM_GA_2761GXDK
 	bool "GIGABYTE GA-2761GXDK"
 	depends VENDOR_GIGABYTE
+	depends LINUXBIOS_V2
 	select PLATFORM
 	select PLATFORM_SUPPORT_64BIT
 
 config PLATFORM_TYAN_S2882
        bool "Tyan S2882"
        depends VENDOR_TYAN
+       depends LINUXBIOS_V2
        select PLATFORM
        select PLATFORM_SUPPORT_64BIT
 
 config PLATFORM_TYAN_S2891
        bool "Tyan S2891"
        depends VENDOR_TYAN
+       depends LINUXBIOS_V2
        select PLATFORM
        select PLATFORM_SUPPORT_64BIT
 
@@ -95,18 +103,21 @@
 config PLATFORM_SERENGETI_CHEETAH
        bool "AMD Serengeti-Cheetah"
        depends VENDOR_AMD
+       depends LINUXBIOS_V2
        select PLATFORM
        select PLATFORM_SUPPORT_64BIT
 
 config PLATFORM_SUPERMICRO_H8DMR
        bool "Supermicro H8DMR"
        depends VENDOR_SUPERMICRO
+       depends LINUXBIOS_V2
        select PLATFORM
        select PLATFORM_SUPPORT_64BIT
 
 config PLATFORM_CHEETAH_FAM10
 	bool "AMD Serengeti-Cheetah with fam10 processor"
 	depends VENDOR_AMD
+	depends LINUXBIOS_V2
 	select PLATFORM
 	select PLATFORM_SUPPORT_64BIT
 endchoice
Index: buildrom-devel/config/platforms/platforms.conf
===================================================================
--- buildrom-devel/config/platforms/platforms.conf	(revision 89)
+++ buildrom-devel/config/platforms/platforms.conf	(working copy)
@@ -1,7 +1,7 @@
 # This will include the correct configuration for the
 # selected platform 
 
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/generic-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/generic-linuxbios.mk
 
 ##Include the correct platform configuration
 
Index: buildrom-devel/config/platforms/qemu.conf
===================================================================
--- buildrom-devel/config/platforms/qemu.conf	(revision 89)
+++ buildrom-devel/config/platforms/qemu.conf	(working copy)
@@ -12,7 +12,7 @@
 # Targets
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/qemu-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/qemu.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/qemu.mk
 
 # kernel configuration (for LAB)
 
@@ -23,21 +23,19 @@
 # Etherboot configuration
 ETHERBOOT_ARCH=i386
 
-# LinuxBIOS configuration
-
-ifeq ($(CONFIG_LINUXBIOS_V3),y)
-LINUXBIOS_TAG=HEAD
-LINUXBIOS_V3_CONFIG=$(PACKAGE_DIR)/linuxbios/conf.v3/qemu.conf
-LINUXBIOS_ROM_NAME=build/linuxbios.rom
-else
-LINUXBIOS_TAG=2950
-LINUXBIOS_CONFIG=Config.lb
+# LinuxBIOSv2 configuration
+LBV2_TAG=2950
+LBV2_CONFIG=Config.lb
 LINUXBIOS_ROM_NAME=qemu.rom
-endif
 
+# LinuxBIOS v3 configuration
+LBV3_CONFIG=qemu-i386-defconfig
+LBV3_TAG=HEAD
+LBV3_ROM_NAME=linuxbios.rom
+
 LINUXBIOS_VENDOR=emulation
 LINUXBIOS_BOARD=qemu-i386
-LINUXBIOS_TDIR=qemu-i386
+LBV2_TDIR=qemu-i386
 
 # FILO configuration
 
Index: buildrom-devel/config/platforms/supermicro-h8dmr.conf
===================================================================
--- buildrom-devel/config/platforms/supermicro-h8dmr.conf	(revision 89)
+++ buildrom-devel/config/platforms/supermicro-h8dmr.conf	(working copy)
@@ -17,7 +17,7 @@
 # Targets
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/supermicro-h8dmr-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/supermicro-h8dmr-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/supermicro-h8dmr-linuxbios.mk
 
 # kernel configuration (for LAB)
 
@@ -38,9 +38,9 @@
 
 LINUXBIOS_VENDOR=supermicro
 LINUXBIOS_BOARD=h8dmr
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=h8dmr
-LINUXBIOS_TAG=2996
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=h8dmr
+LBV2_TAG=2996
 LINUXBIOS_ROM_NAME=linuxbios.rom
 
 # FILO configuration
Index: buildrom-devel/config/platforms/norwich.conf
===================================================================
--- buildrom-devel/config/platforms/norwich.conf	(revision 89)
+++ buildrom-devel/config/platforms/norwich.conf	(working copy)
@@ -13,7 +13,7 @@
 # Targets
 
 KERNEL_MK=$(PACKAGE_DIR)/kernel/norwich-kernel.mk
-LINUXBIOS_MK=$(PACKAGE_DIR)/linuxbios/norwich-linuxbios.mk
+LBV2_MK=$(PACKAGE_DIR)/linuxbios/norwich-linuxbios.mk
 
 # kernel configuration (for LAB)
 
@@ -28,9 +28,9 @@
 
 LINUXBIOS_VENDOR=amd
 LINUXBIOS_BOARD=norwich
-LINUXBIOS_CONFIG=Config.lb
-LINUXBIOS_TDIR=norwich
-LINUXBIOS_TAG=2810
+LBV2_CONFIG=Config.lb
+LBV2_TDIR=norwich
+LBV2_TAG=2810
 LINUXBIOS_ROM_NAME=norwich.rom
 
 # FILO configuration
Index: buildrom-devel/Config.in
===================================================================
--- buildrom-devel/Config.in	(revision 89)
+++ buildrom-devel/Config.in	(working copy)
@@ -47,12 +47,24 @@
 
 menu "LinuxBIOS configuration"
 
+choice
+	prompt "LinuxBIOS Version"
+	default LINUXBIOS_V2
+
+config LINUXBIOS_V2
+	bool "LinuxBIOS v2"
+	help
+		Select this option to build a .rom based on the LinuxBIOS
+		v2 code.  The v2 code is far more stable, and supports many
+		different platforms.
+
 config LINUXBIOS_V3
-	bool "Use LinuxBIOSv3"
-	depends ADVANCED
-	default n
+	bool "LinuxBIOS v3"
+	depends EXPERIMENTAL
 	help
-	  Use the v3 tree.  LinuxBIOSv3 doesn't support all platforms yet.
+		Select this option to build a LinuxBIOS v3 based ROM.  This
+		is experimental, and only supports a few platforms.
+endchoice
 
 config USE_LZMA
 	bool "Enable LZMA compression"
@@ -61,10 +73,9 @@
 	depends !PAYLOAD_ETHERBOOT
 	default y
 	help
-	  Allow LZMA compression for the payload. This doesn't work
-	  for FILO or OFW. 
+	  Precompress the payload with LZMA. This doesn't work
+	  for FILO, OFW, or ETHERBOOT.
 
-
 config LB_USE_BUILD
 	bool "Specify a LinuxBIOS build dir"
 	depends ADVANCED
Index: buildrom-devel/Makefile
===================================================================
--- buildrom-devel/Makefile	(revision 89)
+++ buildrom-devel/Makefile	(working copy)
@@ -12,6 +12,7 @@
 OUTPUT_DIR=$(BASE_DIR)/deploy
 PACKAGE_DIR=$(BASE_DIR)/packages
 BIN_DIR=$(BASE_DIR)/bin
+ROM_DIR=$(OUTPUT_DIR)/roms
 
 ifeq (.config, $(wildcard .config))
 dot-config := 1
@@ -39,17 +40,44 @@
 # Include the global settings and other checks
 include $(SCRIPT_DIR)/Build.settings
 
+# TARGET_ROM is what we are ultimately building - this should be
+# specified by the platform files
+
+TARGET_ROM ?= linuxbios.rom
+TARGET_ROM_FILE=$(OUTPUT_DIR)/$(TARGET_ROM)
+
+# Choose the version of LinuxBIOS to build - this might be better
+# elsewhere, but what the heck - its easy.
+
+LINUXBIOS-$(CONFIG_LINUXBIOS_V2) = linuxbios
+LINUXBIOS-$(CONFIG_LINUXBIOS_V3) = linuxbiosv3 roms
+
 # Construct the list of packages we will be building
 
-PKGLIST = linuxbios $(PAYLOAD-y) $(HOSTTOOLS-y) 
+PKGLIST = $(LINUXBIOS-y) $(PAYLOAD-y) $(HOSTTOOLS-y)
 
 # Construct the various targets
 
 PKG_clean=$(patsubst %, %-clean, $(PKGLIST))
 PKG_distclean=$(patsubst %, %-distclean, $(PKGLIST))
 
-all: $(HOSTTOOLS-y) payload linuxbios
+# This is the top level target - for v2, the final deliverable is built
+# by LinuxBIOS, for v3 it is built by us, so we have ifdef magic here
 
+ifeq ($(CONFIG_LINUXBIOS_V2),y)
+rom: $(HOSTTOOLS-y) payload $(LINUXBIOS-y)
+else
+
+# Add the payload, and then add everything in the deploy/roms directory
+
+rom: $(HOSTTOOLS-y) payload $(LINUXBIOS-y)
+	cp $(LBV3_OUTPUT) $(TARGET_ROM_FILE)
+	$(STAGING_DIR)/bin/lar -a $(TARGET_ROM_FILE) $(PAYLOAD_TARGET):normal/payload
+	for file in `ls $(ROM_DIR)`; do \
+		$(STAGING_DIR)/bin/lar -a $(TARGET_ROM_FILE) $(ROM_DIR)/$$file:$$file; \
+	done
+endif
+
 payload: $(PAYLOAD_TARGET)
 
 clean: $(PKG_clean)
@@ -70,12 +98,18 @@
 
 MKTARGETS:= $(shell ls $(PACKAGE_DIR)/*/*.mk)
 
-include $(filter-out $(PACKAGE_DIR)/kernel/% $(PACKAGE_DIR)/linuxbios/%,$(MKTARGETS)) 
+include $(filter-out $(PACKAGE_DIR)/kernel/% $(PACKAGE_DIR)/linuxbios/% $(PACKAGE_DIR)/linuxbiosv3/%,$(MKTARGETS))
 
-include $(KERNEL_MK) $(LINUXBIOS_MK)
+include $(KERNEL_MK)
 
+ifeq ($(CONFIG_LINUXBIOS_V2),y)
+include $(LBV2_MK)
+else
+include $(PACKAGE_DIR)/linuxbiosv3/linuxbiosv3.mk
 endif
 
+endif
+
 super-distclean: 
 	@ make -C $(KCONFIG_DIR) clean
 	@ rm -rf $(BUILD_DIR)
Index: buildrom-devel/packages/roms/rom-geode.inc
===================================================================
--- buildrom-devel/packages/roms/rom-geode.inc	(revision 0)
+++ buildrom-devel/packages/roms/rom-geode.inc	(revision 0)
@@ -0,0 +1,17 @@
+# This is the geode specific optionrom target
+# download VSA
+
+VSA_URL=http://www.amd.com/files/connectivitysolutions/geode/geode_lx/
+GEODE_VSA=lx_vsa.36k.bin
+
+$(SOURCE_DIR)/$(GEODE_VSA):
+	@ echo "Fetching the VSA code..."
+	@ wget -P $(SOURCE_DIR) $(VSA_URL)/$(GEODE_VSA).gz -O $@
+
+# Copy the file to the ROM_DIR - it should have the same name that it
+# will have in the LAR
+
+$(ROM_DIR)/vsa: $(SOURCE_DIR)/$(GEODE_VSA):
+	@ cp $< $@
+
+OPTIONROM_TARGETS += $(ROM_DIR)/vsa
Index: buildrom-devel/packages/roms/roms.mk
===================================================================
--- buildrom-devel/packages/roms/roms.mk	(revision 0)
+++ buildrom-devel/packages/roms/roms.mk	(revision 0)
@@ -0,0 +1,22 @@
+# Each platform that needs an option ROM or other binary blob is specified
+# here
+
+
+OPTIONROM_TARGETS=
+
+OPTIONROM-y =
+OPTIONROM-$(CONFIG_PLATFORM_NORWICH) += rom-geode.inc
+
+ifneq ($(OPTIONROMS-y),)
+include $(OPTIONROM-y)
+endif
+
+$(ROM_DIR):
+	mkdir -p $(ROM_DIR)
+
+roms: $(ROM_DIR) $(OPTIONROM_TARGETS)
+
+roms-clean:
+	@ rm -rf $(OPTIONROM_TARGETS)
+
+roms-distclean: roms-clean
Index: buildrom-devel/packages/linuxbiosv3/conf/qemu-i386-defconfig
===================================================================
--- buildrom-devel/packages/linuxbiosv3/conf/qemu-i386-defconfig	(revision 0)
+++ buildrom-devel/packages/linuxbiosv3/conf/qemu-i386-defconfig	(revision 0)
@@ -0,0 +1,89 @@
+#
+# Automatically generated make config: don't edit
+# LinuxBIOS version: 3.0.0
+# Tue Jan  8 12:28:41 2008
+#
+
+#
+# General setup
+#
+# CONFIG_EXPERIMENTAL is not set
+# CONFIG_EXPERT is not set
+CONFIG_LOCALVERSION=""
+
+#
+# Mainboard
+#
+# CONFIG_VENDOR_ADL is not set
+# CONFIG_VENDOR_AMD is not set
+# CONFIG_VENDOR_ARTECGROUP is not set
+CONFIG_VENDOR_EMULATION=y
+# CONFIG_VENDOR_PCENGINES is not set
+CONFIG_MAINBOARD_NAME="emulation/qemu-x86"
+CONFIG_MAINBOARD_PCI_SUBSYSTEM_VENDOR_ID=0x15ad
+CONFIG_MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID=0x1976
+CONFIG_BOARD_EMULATION_QEMU_X86=y
+# CONFIG_LINUXBIOS_ROMSIZE_KB_128 is not set
+# CONFIG_LINUXBIOS_ROMSIZE_KB_256 is not set
+# CONFIG_LINUXBIOS_ROMSIZE_KB_512 is not set
+CONFIG_LINUXBIOS_ROMSIZE_KB_1024=y
+# CONFIG_LINUXBIOS_ROMSIZE_KB_2048 is not set
+CONFIG_LINUXBIOS_ROMSIZE_KB=1024
+CONFIG_ARCH_X86=y
+CONFIG_ARCH="x86"
+CONFIG_CPU_I586=y
+CONFIG_OPTION_TABLE=y
+
+#
+# Compression
+#
+CONFIG_COMPRESSION_LZMA=y
+# CONFIG_COMPRESSION_NRV2B is not set
+CONFIG_DEFAULT_COMPRESSION_LZMA=y
+# CONFIG_DEFAULT_COMPRESSION_NRV2B is not set
+# CONFIG_DEFAULT_COMPRESSION_NONE is not set
+
+#
+# Console
+#
+CONFIG_CONSOLE=y
+CONFIG_CONSOLE_LOGLEVEL_8=y
+# CONFIG_CONSOLE_LOGLEVEL_7 is not set
+# CONFIG_CONSOLE_LOGLEVEL_6 is not set
+# CONFIG_CONSOLE_LOGLEVEL_5 is not set
+# CONFIG_CONSOLE_LOGLEVEL_4 is not set
+# CONFIG_CONSOLE_LOGLEVEL_3 is not set
+# CONFIG_CONSOLE_LOGLEVEL_2 is not set
+# CONFIG_CONSOLE_LOGLEVEL_1 is not set
+# CONFIG_CONSOLE_LOGLEVEL_0 is not set
+CONFIG_DEFAULT_CONSOLE_LOGLEVEL=8
+CONFIG_CONSOLE_SERIAL=y
+CONFIG_CONSOLE_SERIAL_COM1=y
+# CONFIG_CONSOLE_SERIAL_COM2 is not set
+CONFIG_CONSOLE_SERIAL_115200=y
+# CONFIG_CONSOLE_SERIAL_57600 is not set
+# CONFIG_CONSOLE_SERIAL_38400 is not set
+# CONFIG_CONSOLE_SERIAL_19200 is not set
+# CONFIG_CONSOLE_SERIAL_9600 is not set
+
+#
+# Devices
+#
+CONFIG_PCI_OPTION_ROM_RUN=y
+# CONFIG_PCI_OPTION_ROM_RUN_X86EMU is not set
+CONFIG_PCI_OPTION_ROM_RUN_VM86=y
+# CONFIG_PCI_OPTION_ROM_RUN_NONE is not set
+# CONFIG_MULTIPLE_VGA_INIT is not set
+# CONFIG_INITIALIZE_ONBOARD_VGA_FIRST is not set
+CONFIG_NORTHBRIDGE_INTEL_I440BXEMULATION=y
+CONFIG_SOUTHBRIDGE_INTEL_I82371EB=y
+CONFIG_SUPERIO_WINBOND_W83627HF=y
+CONFIG_NORTHBRIDGE_INTEL_I440BXEMULATION_RAMSIZE=32
+
+#
+# Payload
+#
+# CONFIG_PAYLOAD_PREPARSE_ELF is not set
+CONFIG_PAYLOAD_NONE=y
+# CONFIG_PAYLOAD_ELF is not set
+CONFIG_PAYLOAD_FILE=""
Index: buildrom-devel/packages/linuxbiosv3/linuxbiosv3.mk
===================================================================
--- buildrom-devel/packages/linuxbiosv3/linuxbiosv3.mk	(revision 0)
+++ buildrom-devel/packages/linuxbiosv3/linuxbiosv3.mk	(revision 0)
@@ -0,0 +1,76 @@
+ifeq ($(LBV3_TAG),)
+$(error You need to specify a version to pull in your platform config)
+endif
+
+LBV3_URL=svn://openbios.org/repository/LinuxBIOSv3
+LBV3_TARBALL=linuxbios-svn-$(LBV3_TAG).tar.gz
+LBV3_DIR=$(BUILD_DIR)/linuxbiosv3
+LBV3_SRC_DIR=$(LBV3_DIR)/svn
+
+LBV3_STAMP_DIR=$(LBV3_DIR)/stamps
+LBV3_LOG_DIR=$(LBV3_DIR)/logs
+
+ifeq ($(CONFIG_VERBOSE),y)
+LBV3_FETCH_LOG=/dev/stdout
+LBV3_CONFIG_LOG=/dev/stdout
+LBV3_BUILD_LOG=/dev/stdout
+else
+LBV3_FETCH_LOG=$(LBV3_LOG_DIR)/fetch.log
+LBV3_CONFIG_LOG=$(LBV3_LOG_DIR)/config.log
+LBV3_BUILD_LOG=$(LBV3_LOG_DIR)/build.log
+endif
+
+TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
+
+LBV3_OUTPUT=$(LBV3_SRC_DIR)/build/linuxbios.rom
+
+LBV3_PATCHES ?=
+
+$(SOURCE_DIR)/$(LBV3_TARBALL):
+	@ mkdir -p $(SOURCE_DIR)/linuxbiosv3
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV3_URL) \
+	$(SOURCE_DIR)/linuxbiosv3 $(LBV3_TAG) \
+	$@ > $(LBV3_FETCH_LOG) 2>&1
+
+$(LBV3_STAMP_DIR)/.unpacked: $(SOURCE_DIR)/$(LBV3_TARBALL)
+	@echo "Unpacking LinuxBIOSv3..."
+	@ mkdir -p $(LBV3_DIR)
+	@ tar -C $(LBV3_DIR) -zxf $(SOURCE_DIR)/$(LBV3_TARBALL)
+	@ touch $@
+
+$(LBV3_STAMP_DIR)/.patched: $(LBV3_STAMP_DIR)/.unpacked
+	@ echo "Patching LinuxBIOSv3..."
+	@ $(BIN_DIR)/doquilt.sh $(LBV3_SRC_DIR) $(LBV3_PATCHES)
+	@ touch $@
+
+$(LBV3_STAMP_DIR)/.configured: $(LBV3_STAMP_DIR)/.patched
+	@ echo "Configuring LinuxBIOSv3..."
+	@ cp $(PACKAGE_DIR)/linuxbiosv3/conf/$(LBV3_CONFIG) $(LBV3_SRC_DIR)/.config
+	@ make -C $(LBV3_SRC_DIR) oldconfig > $(LBV3_CONFIG_LOG) 2>&1
+	@ touch $@
+
+$(LBV3_OUTPUT): $(LBV3_STAMP_DIR)/.configured
+	@ echo "Building LinuxBIOSv3..."
+	@ $(MAKE) -C $(LBV3_SRC_DIR) > $(LBV3_BUILD_LOG) 2>&1
+
+$(LBV3_SRC_DIR)/build/util/lar/lar: $(LBV3_STAMP_DIR)/.configured
+	@ $(MAKE) -C $(LBV3_SRC_DIR)/util lar > $(LBV3_BUILD_LOG) 2>&1
+
+$(STAGING_DIR)/bin/lar: $(LBV3_SRC_DIR)/build/util/lar/lar
+	@ mkdir -p $(STAGING_DIR)/bin
+	@ cp $< $@
+
+
+$(LBV3_STAMP_DIR) $(LBV3_LOG_DIR):
+	@ mkdir -p $@
+
+linuxbiosv3: $(LBV3_LOG_DIR) $(LBV3_STAMP_DIR) $(LBV3_OUTPUT) $(STAGING_DIR)/bin/lar
+
+linuxbiosv3-clean:
+	@ echo "Cleaning linuxbiosv3..."
+	@ $(MAKE) -C $(LBV3_SRC_DIR) clean > /dev/null 2>&1
+
+linuxbiosv3-distclean:
+	@ rm -rf $(LBV3_DIR)/*
+	@ rm -rf $(STAGING_DIR)/bin/lar
+
Index: buildrom-devel/packages/linuxbios/tyan-s2882-linuxbios.mk
===================================================================
--- buildrom-devel/packages/linuxbios/tyan-s2882-linuxbios.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/tyan-s2882-linuxbios.mk	(working copy)
@@ -1,44 +1,44 @@
 # This is the Generic LinuxBIOS target
 
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_PATCHES = 
+LBV2_PATCHES = 
 
 ifeq ($(CONFIG_PAYLOAD_FILO),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2882-filo-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2882-filo-Config.lb.patch
 endif
 
 ifeq ($(CONFIG_PAYLOAD_KERNEL),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2882-kernel-and-lab-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2882-kernel-and-lab-Config.lb.patch
 endif
 
 ifeq ($(CONFIG_PAYLOAD_LAB),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2882-kernel-and-lab-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2882-kernel-and-lab-Config.lb.patch
 endif
 
 
-LINUXBIOS_BASE_DIR=svn
-LINUXBIOS_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
-LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_BASE_DIR=svn
+LBV2_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
 
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL): 
+$(SOURCE_DIR)/$(LBV2_TARBALL): 
 	@ echo "Fetching the LinuxBIOS code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(SOURCE_DIR)/linuxbios \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT)
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_OUTPUT)
 	@ mkdir -p $(OUTPUT_DIR)
-	@ cat $(LINUXBIOS_OUTPUT) > $@
+	@ cat $(LBV2_OUTPUT) > $@
 	
 linuxbios: $(OUTPUT_DIR)/$(TARGET_ROM)
 linuxbios-clean: generic-linuxbios-clean
Index: buildrom-devel/packages/linuxbios/tyan-s2891-linuxbios.mk
===================================================================
--- buildrom-devel/packages/linuxbios/tyan-s2891-linuxbios.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/tyan-s2891-linuxbios.mk	(working copy)
@@ -1,44 +1,44 @@
 # This is the Generic LinuxBIOS target
 
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_PATCHES =
+LBV2_PATCHES =
 
 ifeq ($(CONFIG_PAYLOAD_FILO),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2891-filo-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2891-filo-Config.lb.patch
 endif
 
 ifeq ($(CONFIG_PAYLOAD_KERNEL),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2891-kernel-and-lab-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2891-kernel-and-lab-Config.lb.patch
 endif
 
 ifeq ($(CONFIG_PAYLOAD_LAB),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2891-kernel-and-lab-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/tyan-s2891-kernel-and-lab-Config.lb.patch
 endif
 
 
-LINUXBIOS_BASE_DIR=svn
-LINUXBIOS_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
-LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_BASE_DIR=svn
+LBV2_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
 
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL): 
+$(SOURCE_DIR)/$(LBV2_TARBALL): 
 	@ echo "Fetching the LinuxBIOS code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(SOURCE_DIR)/linuxbios \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT)
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_OUTPUT)
 	@ mkdir -p $(OUTPUT_DIR)
-	@ cat $(LINUXBIOS_OUTPUT) > $@
+	@ cat $(LBV2_OUTPUT) > $@
 	
 linuxbios: $(OUTPUT_DIR)/$(TARGET_ROM)
 linuxbios-clean: generic-linuxbios-clean
Index: buildrom-devel/packages/linuxbios/ga-2761gxdk-linuxbios.mk
===================================================================
--- buildrom-devel/packages/linuxbios/ga-2761gxdk-linuxbios.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/ga-2761gxdk-linuxbios.mk	(working copy)
@@ -1,17 +1,17 @@
 # This is the Generic LinuxBIOS target
 
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_PATCHES=$(PACKAGE_DIR)/linuxbios/patches/2761gxdk-fix-target.patch
+LBV2_PATCHES=$(PACKAGE_DIR)/linuxbios/patches/2761gxdk-fix-target.patch
 
-LINUXBIOS_BASE_DIR=svn
-LINUXBIOS_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
-LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_BASE_DIR=svn
+LBV2_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
 
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
@@ -22,16 +22,16 @@
 OPTIONROM_ID = pci1039,6330
 include $(PACKAGE_DIR)/linuxbios/optionroms.inc
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL):
+$(SOURCE_DIR)/$(LBV2_TARBALL):
 	@ echo "Fetching the LinuxBIOS code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(SOURCE_DIR)/linuxbios \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT) $(SOURCE_DIR)/$(OPTIONROM_ID).rom
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_OUTPUT) $(SOURCE_DIR)/$(OPTIONROM_ID).rom
 	@ mkdir -p $(OUTPUT_DIR)
-	@ cat $(SOURCE_DIR)/$(OPTIONROM_ID).rom $(LINUXBIOS_OUTPUT) > $@
+	@ cat $(SOURCE_DIR)/$(OPTIONROM_ID).rom $(LBV2_OUTPUT) > $@
 
 linuxbios: $(OUTPUT_DIR)/$(TARGET_ROM)
 linuxbios-clean: generic-linuxbios-clean
Index: buildrom-devel/packages/linuxbios/msm800sev-linuxbios.mk
===================================================================
--- buildrom-devel/packages/linuxbios/msm800sev-linuxbios.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/msm800sev-linuxbios.mk	(working copy)
@@ -1,37 +1,37 @@
 # This is the Generic LinuxBIOS target
 
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_BASE_DIR=svn
-LINUXBIOS_URL=svn://openbios.org/repos/trunk/LinuxBIOSv2
-LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_BASE_DIR=svn
+LBV2_URL=svn://openbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 VSA_URL=http://www.amd.com/files/connectivitysolutions/geode/geode_lx/
-LINUXBIOS_VSA=lx_vsa.36k.bin
+LBV2_VSA=lx_vsa.36k.bin
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
 
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
 
-$(SOURCE_DIR)/$(LINUXBIOS_VSA):
+$(SOURCE_DIR)/$(LBV2_VSA):
 	@ echo "Fetching the VSA code..."
-	wget -P $(SOURCE_DIR) $(VSA_URL)/$(LINUXBIOS_VSA).gz  -O $@
+	wget -P $(SOURCE_DIR) $(VSA_URL)/$(LBV2_VSA).gz  -O $@
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL): 
+$(SOURCE_DIR)/$(LBV2_TARBALL): 
 	@ echo "Fetching the LinuxBIOS code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(SOURCE_DIR)/linuxbios \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
 # Special rule - append the VSA
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT) $(SOURCE_DIR)/$(LINUXBIOS_VSA)
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_OUTPUT) $(SOURCE_DIR)/$(LBV2_VSA)
 	@ mkdir -p $(OUTPUT_DIR)
-	@ cat $(SOURCE_DIR)/$(LINUXBIOS_VSA) $(LINUXBIOS_OUTPUT) > $@
+	@ cat $(SOURCE_DIR)/$(LBV2_VSA) $(LBV2_OUTPUT) > $@
 	
 linuxbios: $(OUTPUT_DIR)/$(TARGET_ROM)
 linuxbios-clean: generic-linuxbios-clean
Index: buildrom-devel/packages/linuxbios/linuxbios.inc
===================================================================
--- buildrom-devel/packages/linuxbios/linuxbios.inc	(revision 89)
+++ buildrom-devel/packages/linuxbios/linuxbios.inc	(working copy)
@@ -7,111 +7,94 @@
 ifeq ($(LINUXBIOS_BOARD),)
 $(error No LinuxBIOS board specified)
 endif
-ifeq ($(CONFIG_LINUXBIOS_V3),y)
-  ifeq ($(LINUXBIOS_V3_CONFIG),)
-  $(error No LinuxBIOSv3 config specified)
-  endif
-else
-  ifeq ($(LINUXBIOS_CONFIG),)
-  $(error No LinuxBIOS config specified)
-  endif
+ifeq ($(LBV2_CONFIG),)
+$(error No LinuxBIOS config specified)
 endif
-ifeq ($(LINUXBIOS_TDIR),)
+ifeq ($(LBV2_TDIR),)
 $(error No LinuxBIOS TDIR specified)
 endif
 endif
 
-LINUXBIOS_OUTPUT=$(LINUXBIOS_BUILD_DIR)/$(LINUXBIOS_ROM_NAME)
-LINUXBIOS_DIR=$(BUILD_DIR)/linuxbios
+LBV2_OUTPUT=$(LBV2_BUILD_DIR)/$(LBV2_ROM_NAME)
+LBV2_DIR=$(BUILD_DIR)/linuxbios
 
 # If the user wanted to override the build directory - obey that now
 
 ifeq ($(CONFIG_LB_USE_BUILD),y)
-LINUXBIOS_SRC_DIR=$(subst ",,$(CONFIG_LB_BUILDDIR))
+LBV2_SRC_DIR=$(subst ",,$(CONFIG_LB_BUILDDIR))
 else
-LINUXBIOS_SRC_DIR=$(LINUXBIOS_DIR)/$(LINUXBIOS_BASE_DIR)
+LBV2_SRC_DIR=$(LBV2_DIR)/$(LBV2_BASE_DIR)
 endif
 
-LINUXBIOS_TARGET_DIR=$(LINUXBIOS_SRC_DIR)/targets/
-LINUXBIOS_TARGET_NAME=$(LINUXBIOS_VENDOR)/$(LINUXBIOS_BOARD)
-LINUXBIOS_CONFIG_NAME=$(LINUXBIOS_TARGET_NAME)/$(LINUXBIOS_CONFIG)
+LBV2_TARGET_DIR=$(LBV2_SRC_DIR)/targets/
+LBV2_TARGET_NAME=$(LINUXBIOS_VENDOR)/$(LINUXBIOS_BOARD)
+LBV2_CONFIG_NAME=$(LBV2_TARGET_NAME)/$(LBV2_CONFIG)
 
-ifeq ($(CONFIG_LINUXBIOS_V3),y)
-LINUXBIOS_BUILD_DIR=$(LINUXBIOS_SRC_DIR)
-else
-LINUXBIOS_BUILD_DIR=$(LINUXBIOS_TARGET_DIR)/$(LINUXBIOS_TARGET_NAME)/$(LINUXBIOS_TDIR)
-endif
+LBV2_BUILD_DIR=$(LBV2_TARGET_DIR)/$(LBV2_TARGET_NAME)/$(LBV2_TDIR)
 
-LINUXBIOS_STAMP_DIR=$(LINUXBIOS_DIR)/stamps
-LINUXBIOS_LOG_DIR=$(LINUXBIOS_DIR)/logs
+LBV2_STAMP_DIR=$(LBV2_DIR)/stamps
+LBV2_LOG_DIR=$(LBV2_DIR)/logs
 
 ifeq ($(CONFIG_VERBOSE),y)
-LINUXBIOS_FETCH_LOG=/dev/stdout
-LINUXBIOS_CONFIG_LOG=/dev/stdout
-LINUXBIOS_BUILD_LOG=/dev/stdout
-LINUXBIOS_INSTALL_LOG=/dev/stdout
+LBV2_FETCH_LOG=/dev/stdout
+LBV2_CONFIG_LOG=/dev/stdout
+LBV2_BUILD_LOG=/dev/stdout
+LBV2_INSTALL_LOG=/dev/stdout
 else
-LINUXBIOS_FETCH_LOG=$(LINUXBIOS_LOG_DIR)/fetch.log
-LINUXBIOS_BUILD_LOG=$(LINUXBIOS_LOG_DIR)/build.log
-LINUXBIOS_CONFIG_LOG=$(LINUXBIOS_LOG_DIR)/config.log
-LINUXBIOS_INSTALL_LOG=$(LINUXBIOS_LOG_DIR)/install.log
+LBV2_FETCH_LOG=$(LBV2_LOG_DIR)/fetch.log
+LBV2_BUILD_LOG=$(LBV2_LOG_DIR)/build.log
+LBV2_CONFIG_LOG=$(LBV2_LOG_DIR)/config.log
+LBV2_INSTALL_LOG=$(LBV2_LOG_DIR)/install.log
 endif
 
 # This allows us to skip the unpack/patch/configure stage
 
 ifeq ($(CONFIG_LB_USE_BUILD),y)
-LINUXBIOS_DIR_TARGET=
+LBV2_DIR_TARGET=
 else
-LINUXBIOS_DIR_TARGET=$(LINUXBIOS_STAMP_DIR)/.configured
+LBV2_DIR_TARGET=$(LBV2_STAMP_DIR)/.configured
 endif
 
-$(LINUXBIOS_PAYLOAD_TARGET): $(PAYLOAD_TARGET)
+$(LBV2_PAYLOAD_TARGET): $(PAYLOAD_TARGET)
 	@ cp $< $@
 
-$(LINUXBIOS_STAMP_DIR)/.unpacked: $(SOURCE_DIR)/$(LINUXBIOS_TARBALL)
+$(LBV2_STAMP_DIR)/.unpacked: $(SOURCE_DIR)/$(LBV2_TARBALL)
 	@ echo "Unpacking LinuxBIOS..."
-	@ tar -C $(LINUXBIOS_DIR) -zxf $(SOURCE_DIR)/$(LINUXBIOS_TARBALL)
+	@ tar -C $(LBV2_DIR) -zxf $(SOURCE_DIR)/$(LBV2_TARBALL)
 	@ touch $@	
 
-$(LINUXBIOS_STAMP_DIR)/.patched: $(LINUXBIOS_STAMP_DIR)/.unpacked 
+$(LBV2_STAMP_DIR)/.patched: $(LBV2_STAMP_DIR)/.unpacked 
 	@ echo "Patching LinuxBIOS..."
-	@ $(BIN_DIR)/doquilt.sh $(LINUXBIOS_SRC_DIR) $(LINUXBIOS_PATCHES)
+	@ $(BIN_DIR)/doquilt.sh $(LBV2_SRC_DIR) $(LBV2_PATCHES)
 	@ touch $@
 
-$(LINUXBIOS_STAMP_DIR)/.configured: $(LINUXBIOS_STAMP_DIR)/.patched
-ifeq ($(CONFIG_LINUXBIOS_V3),y)
-	@ echo "Configuring v3..."
-	@ cp $(LINUXBIOS_V3_CONFIG) $(LINUXBIOS_SRC_DIR)/.config
-	@ make -C $(LINUXBIOS_SRC_DIR) oldconfig > $(LINUXBIOS_CONFIG_LOG) 2>&1
-	@ touch $@
-else
+$(LBV2_STAMP_DIR)/.configured: $(LBV2_STAMP_DIR)/.patched
 	@ echo "Building target..."
-	@( cd $(LINUXBIOS_TARGET_DIR); \
-	./buildtarget $(LINUXBIOS_CONFIG_NAME) > $(LINUXBIOS_CONFIG_LOG) 2>&1)
+	@( cd $(LBV2_TARGET_DIR); \
+	./buildtarget $(LBV2_CONFIG_NAME) > $(LBV2_CONFIG_LOG) 2>&1)
 	@ touch $@
-endif
 
-$(LINUXBIOS_STAMP_DIR) $(LINUXBIOS_LOG_DIR):
+$(LBV2_STAMP_DIR) $(LBV2_LOG_DIR):
 	@ mkdir -p $@
 
-$(LINUXBIOS_OUTPUT): $(LINUXBIOS_STAMP_DIR) $(LINUXBIOS_LOG_DIR) $(LINUXBIOS_DIR_TARGET) $(LINUXBIOS_PAYLOAD_TARGET)
+$(LBV2_OUTPUT): $(LBV2_STAMP_DIR) $(LBV2_LOG_DIR) $(LBV2_DIR_TARGET) $(LBV2_PAYLOAD_TARGET)
 	@ echo "Building linuxbios..."
 	@ (export CPU_OPT="$(STACKPROTECT)"; \
-	make -C $(LINUXBIOS_BUILD_DIR) > $(LINUXBIOS_BUILD_LOG) 2>&1)
+	make -C $(LBV2_BUILD_DIR) > $(LBV2_BUILD_LOG) 2>&1)
 
 generic-linuxbios-clean:
 	@ echo "Cleaning linuxbios..."
-	@ rm -f $(LINUXBIOS_PAYLOAD_TARGET)
-	@ if [ -d $(LINUXBIOS_BUILD_DIR) ];then \
-	$(MAKE) -C $(LINUXBIOS_BUILD_DIR) clean > /dev/null 2>&1; \
+	@ rm -f $(LBV2_PAYLOAD_TARGET)
+	@ if [ -d $(LBV2_BUILD_DIR) ];then \
+	$(MAKE) -C $(LBV2_BUILD_DIR) clean > /dev/null 2>&1; \
 	fi	
-	@ rm -f $(LINUXBIOS_OUTPUT)
+	@ rm -f $(LBV2_OUTPUT)
 
 generic-linuxbios-distclean:
 	@ if [ "$(CONFIG_LB_USE_BUILD)" = "y" ]; then \
 	echo "Cleaning linuxbios build..."; \
-	$(MAKE) -C $(LINUXBIOS_BUILD_DIR) clean > /dev/null 2>&1; \
-	rm -f $(LINUXBIOS_OUTPUT); \
+	$(MAKE) -C $(LBV2_BUILD_DIR) clean > /dev/null 2>&1; \
+	rm -f $(LBV2_OUTPUT); \
 	fi	
 
-	@ rm -rf $(LINUXBIOS_DIR)/*
+	@ rm -rf $(LBV2_DIR)/*
Index: buildrom-devel/packages/linuxbios/supermicro-h8dmr-linuxbios.mk
===================================================================
--- buildrom-devel/packages/linuxbios/supermicro-h8dmr-linuxbios.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/supermicro-h8dmr-linuxbios.mk	(working copy)
@@ -1,48 +1,48 @@
 # This is the Generic LinuxBIOS target
 
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_PATCHES =
+LBV2_PATCHES =
 
 ifeq ($(CONFIG_PAYLOAD_FILO),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/supermicro-h8dmr-filo-and-etherboot-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/supermicro-h8dmr-filo-and-etherboot-Config.lb.patch
 endif
 
 ifeq ($(CONFIG_PAYLOAD_ETHERBOOT),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/supermicro-h8dmr-filo-and-etherboot-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/supermicro-h8dmr-filo-and-etherboot-Config.lb.patch
 endif
 
 ifeq ($(CONFIG_PAYLOAD_KERNEL),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/supermicro-h8dmr-kernel-and-lab-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/supermicro-h8dmr-kernel-and-lab-Config.lb.patch
 endif
 
 ifeq ($(CONFIG_PAYLOAD_LAB),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/supermicro-h8dmr-kernel-and-lab-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/supermicro-h8dmr-kernel-and-lab-Config.lb.patch
 endif
 
 
-LINUXBIOS_BASE_DIR=svn
-LINUXBIOS_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
-LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_BASE_DIR=svn
+LBV2_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
 
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL): 
+$(SOURCE_DIR)/$(LBV2_TARBALL): 
 	@ echo "Fetching the LinuxBIOS code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(SOURCE_DIR)/linuxbios \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT)
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_OUTPUT)
 	@ mkdir -p $(OUTPUT_DIR)
-	@ cat $(LINUXBIOS_OUTPUT) > $@
+	@ cat $(LBV2_OUTPUT) > $@
 	
 linuxbios: $(OUTPUT_DIR)/$(TARGET_ROM)
 linuxbios-clean: generic-linuxbios-clean
Index: buildrom-devel/packages/linuxbios/norwich-linuxbios.mk
===================================================================
--- buildrom-devel/packages/linuxbios/norwich-linuxbios.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/norwich-linuxbios.mk	(working copy)
@@ -1,37 +1,40 @@
 # This is the Generic LinuxBIOS target
 
+echo $(LBV2_TAG)
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
+else
+$(warning You specified $(LBV2_TAG) a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_BASE_DIR=svn
-LINUXBIOS_URL=svn://openbios.org/repos/trunk/LinuxBIOSv2
-LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_BASE_DIR=svn
+LBV2_URL=svn://openbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 VSA_URL=http://www.amd.com/files/connectivitysolutions/geode/geode_lx/
-LINUXBIOS_VSA=lx_vsa.36k.bin
+LBV2_VSA=lx_vsa.36k.bin
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
 
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
 
-$(SOURCE_DIR)/$(LINUXBIOS_VSA):
+$(SOURCE_DIR)/$(LBV2_VSA):
 	@ echo "Fetching the VSA code..."
-	wget -P $(SOURCE_DIR) $(VSA_URL)/$(LINUXBIOS_VSA).gz  -O $@
+	wget -P $(SOURCE_DIR) $(VSA_URL)/$(LBV2_VSA).gz  -O $@
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL): 
-	@ echo "Fetching the LinuxBIOS code..."
+$(SOURCE_DIR)/$(LBV2_TARBALL): 
+	@ echo "Fetching the LinuxBIOS rev $(LBV2_TAG) code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(SOURCE_DIR)/linuxbios \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
 # Special rule - append the VSA
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT) $(SOURCE_DIR)/$(LINUXBIOS_VSA)
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_OUTPUT) $(SOURCE_DIR)/$(LBV2_VSA)
 	@ mkdir -p $(OUTPUT_DIR)
-	@ cat $(SOURCE_DIR)/$(LINUXBIOS_VSA) $(LINUXBIOS_OUTPUT) > $@
+	@ cat $(SOURCE_DIR)/$(LBV2_VSA) $(LBV2_OUTPUT) > $@
 	
 linuxbios: $(OUTPUT_DIR)/$(TARGET_ROM)
 linuxbios-clean: generic-linuxbios-clean
Index: buildrom-devel/packages/linuxbios/generic-linuxbios.mk
===================================================================
--- buildrom-devel/packages/linuxbios/generic-linuxbios.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/generic-linuxbios.mk	(working copy)
@@ -1,19 +1,19 @@
 # This is the Generic LinuxBIOS target
 
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_BASE_DIR=svn
-LINUXBIOS_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
-LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_BASE_DIR=svn
+LBV2_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
 
 # This is the list of components that comprise the ROM (excluding the payload)
-LINUXBIOS_COMPONENTS = $(LINUXBIOS_OUTPUT)
+LBV2_COMPONENTS = $(LBV2_OUTPUT)
 
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
 
@@ -23,19 +23,19 @@
 include $(PACKAGE_DIR)/linuxbios/optionroms.inc
 
 # Add it to the front of the list so it is prepended to the LinuxBIOS output
-LINUXBIOS_COMPONENTS = $(SOURCE_DIR)/$(OPTIONROM_ID).rom $(LINUXBIOS_COMPONENTS)
+LBV2_COMPONENTS = $(SOURCE_DIR)/$(OPTIONROM_ID).rom $(LBV2_COMPONENTS)
 endif
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL): 
+$(SOURCE_DIR)/$(LBV2_TARBALL): 
 	@ echo "Fetching the LinuxBIOS code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(SOURCE_DIR)/linuxbios \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_COMPONENTS)
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_COMPONENTS)
 	@ mkdir -p $(OUTPUT_DIR)
-	@ cat $(LINUXBIOS_COMPONENTS) > $@
+	@ cat $(LBV2_COMPONENTS) > $@
 
 linuxbios: $(OUTPUT_DIR)/$(TARGET_ROM)
 linuxbios-clean: generic-linuxbios-clean
Index: buildrom-devel/packages/linuxbios/m57sli-linuxbios.mk
===================================================================
--- buildrom-devel/packages/linuxbios/m57sli-linuxbios.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/m57sli-linuxbios.mk	(working copy)
@@ -1,48 +1,48 @@
 # This is the Generic LinuxBIOS target
 
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_PATCHES= 
+LBV2_PATCHES= 
 
 ifeq ($(CONFIG_PAYLOAD_FILO),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/m57sli-filo-and-etherboot-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/m57sli-filo-and-etherboot-Config.lb.patch
 endif
 
 ifeq ($(CONFIG_PAYLOAD_ETHERBOOT),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/m57sli-filo-and-etherboot-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/m57sli-filo-and-etherboot-Config.lb.patch
 endif
 
 ifeq ($(CONFIG_PAYLOAD_KERNEL),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/m57sli-kernel-and-lab-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/m57sli-kernel-and-lab-Config.lb.patch
 endif
 
 ifeq ($(CONFIG_PAYLOAD_LAB),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/m57sli-kernel-and-lab-Config.lb.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/m57sli-kernel-and-lab-Config.lb.patch
 endif
 
 
-LINUXBIOS_BASE_DIR=svn
-LINUXBIOS_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
-LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_BASE_DIR=svn
+LBV2_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
 
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL): 
+$(SOURCE_DIR)/$(LBV2_TARBALL): 
 	@ echo "Fetching the LinuxBIOS code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(SOURCE_DIR)/linuxbios \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT)
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_OUTPUT)
 	@ mkdir -p $(OUTPUT_DIR)
-	@ cat $(LINUXBIOS_OUTPUT) > $@
+	@ cat $(LBV2_OUTPUT) > $@
 	
 linuxbios: $(OUTPUT_DIR)/$(TARGET_ROM)
 linuxbios-clean: generic-linuxbios-clean
Index: buildrom-devel/packages/linuxbios/alix1c-linuxbios.mk
===================================================================
--- buildrom-devel/packages/linuxbios/alix1c-linuxbios.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/alix1c-linuxbios.mk	(working copy)
@@ -1,37 +1,37 @@
 # This is the Generic LinuxBIOS target
 
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_BASE_DIR=svn
-LINUXBIOS_URL=svn://openbios.org/repos/trunk/LinuxBIOSv2
-LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_BASE_DIR=svn
+LBV2_URL=svn://openbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 VSA_URL=http://www.amd.com/files/connectivitysolutions/geode/geode_lx/
-LINUXBIOS_VSA=lx_vsa.36k.bin
+LBV2_VSA=lx_vsa.36k.bin
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
 
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
 
-$(SOURCE_DIR)/$(LINUXBIOS_VSA):
+$(SOURCE_DIR)/$(LBV2_VSA):
 	@ echo "Fetching the VSA code..."
-	wget -P $(SOURCE_DIR) $(VSA_URL)/$(LINUXBIOS_VSA).gz  -O $@
+	wget -P $(SOURCE_DIR) $(VSA_URL)/$(LBV2_VSA).gz  -O $@
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL): 
+$(SOURCE_DIR)/$(LBV2_TARBALL): 
 	@ echo "Fetching the LinuxBIOS code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(SOURCE_DIR)/linuxbios \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
 # Special rule - append the VSA
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT) $(SOURCE_DIR)/$(LINUXBIOS_VSA)
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_OUTPUT) $(SOURCE_DIR)/$(LBV2_VSA)
 	@ mkdir -p $(OUTPUT_DIR)
-	@ cat $(SOURCE_DIR)/$(LINUXBIOS_VSA) $(LINUXBIOS_OUTPUT) > $@
+	@ cat $(SOURCE_DIR)/$(LBV2_VSA) $(LBV2_OUTPUT) > $@
 	
 linuxbios: $(OUTPUT_DIR)/$(TARGET_ROM)
 linuxbios-clean: generic-linuxbios-clean
Index: buildrom-devel/packages/linuxbios/serengeti_cheetah.mk
===================================================================
--- buildrom-devel/packages/linuxbios/serengeti_cheetah.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/serengeti_cheetah.mk	(working copy)
@@ -1,12 +1,12 @@
 # This is the Generic LinuxBIOS target
 
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_PATCHES =
+LBV2_PATCHES =
 
 # Make sure we have the tools we need to accomplish this
 HAVE_IASL:=$(call find-tool,iasl)
@@ -18,38 +18,38 @@
 
 ifeq ($(CONFIG_PLATFORM_CHEETAH_FAM10),y)
 ifeq ($(CONFIG_PAYLOAD_LAB),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/serengeti_cheetah_fam10-lab.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/serengeti_cheetah_fam10-lab.patch
 endif
 endif
 
 ifeq ($(CONFIG_PLATFORM_SERENGETI_CHEETAH),y)
 ifeq ($(CONFIG_PAYLOAD_LAB),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/serengeti_cheetah-lab.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/serengeti_cheetah-lab.patch
 else
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/serengeti_cheetah-payload.patch
+	LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/serengeti_cheetah-payload.patch
 endif
 
 ifeq ($(CONFIG_SIMNOW),y)
-LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/simnow.patch
+LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/simnow.patch
 endif
 endif
 
-LINUXBIOS_BASE_DIR=svn
-LINUXBIOS_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
-LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_BASE_DIR=svn
+LBV2_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
 
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL):
+$(SOURCE_DIR)/$(LBV2_TARBALL):
 	@ echo "Fetching the LinuxBIOS code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(SOURCE_DIR)/linuxbios \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(SOURCE_DIR)/linuxbios \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT)
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_OUTPUT)
 	@ mkdir -p $(OUTPUT_DIR)
 	@ cp $< $@
 
Index: buildrom-devel/packages/linuxbios/conf.v3/qemu.conf
===================================================================
--- buildrom-devel/packages/linuxbios/conf.v3/qemu.conf	(revision 89)
+++ buildrom-devel/packages/linuxbios/conf.v3/qemu.conf	(working copy)
@@ -1,89 +0,0 @@
-#
-# Automatically generated make config: don't edit
-# LinuxBIOS version: 3.0.0
-# Wed Dec  5 11:10:31 2007
-#
-
-#
-# General setup
-#
-# CONFIG_EXPERIMENTAL is not set
-# CONFIG_EXPERT is not set
-CONFIG_LOCALVERSION=""
-
-#
-# Mainboard
-#
-# CONFIG_VENDOR_ADL is not set
-# CONFIG_VENDOR_AMD is not set
-# CONFIG_VENDOR_ARTECGROUP is not set
-CONFIG_VENDOR_EMULATION=y
-# CONFIG_VENDOR_PCENGINES is not set
-CONFIG_MAINBOARD_NAME="emulation/qemu-x86"
-CONFIG_MAINBOARD_PCI_SUBSYSTEM_VENDOR_ID=0x15ad
-CONFIG_MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID=0x1976
-CONFIG_BOARD_EMULATION_QEMU_X86=y
-# CONFIG_LINUXBIOS_ROMSIZE_KB_128 is not set
-# CONFIG_LINUXBIOS_ROMSIZE_KB_256 is not set
-# CONFIG_LINUXBIOS_ROMSIZE_KB_512 is not set
-# CONFIG_LINUXBIOS_ROMSIZE_KB_1024 is not set
-CONFIG_LINUXBIOS_ROMSIZE_KB_2048=y
-CONFIG_LINUXBIOS_ROMSIZE_KB=2048
-CONFIG_ARCH_X86=y
-CONFIG_ARCH="x86"
-CONFIG_CPU_I586=y
-CONFIG_OPTION_TABLE=y
-
-#
-# Compression
-#
-# CONFIG_COMPRESSION_LZMA is not set
-# CONFIG_COMPRESSION_NRV2B is not set
-# CONFIG_DEFAULT_COMPRESSION_LZMA is not set
-# CONFIG_DEFAULT_COMPRESSION_NRV2B is not set
-CONFIG_DEFAULT_COMPRESSION_NONE=y
-
-#
-# Console
-#
-CONFIG_CONSOLE=y
-CONFIG_CONSOLE_LOGLEVEL_8=y
-# CONFIG_CONSOLE_LOGLEVEL_7 is not set
-# CONFIG_CONSOLE_LOGLEVEL_6 is not set
-# CONFIG_CONSOLE_LOGLEVEL_5 is not set
-# CONFIG_CONSOLE_LOGLEVEL_4 is not set
-# CONFIG_CONSOLE_LOGLEVEL_3 is not set
-# CONFIG_CONSOLE_LOGLEVEL_2 is not set
-# CONFIG_CONSOLE_LOGLEVEL_1 is not set
-# CONFIG_CONSOLE_LOGLEVEL_0 is not set
-CONFIG_DEFAULT_CONSOLE_LOGLEVEL=8
-CONFIG_CONSOLE_SERIAL=y
-CONFIG_CONSOLE_SERIAL_COM1=y
-# CONFIG_CONSOLE_SERIAL_COM2 is not set
-CONFIG_CONSOLE_SERIAL_115200=y
-# CONFIG_CONSOLE_SERIAL_57600 is not set
-# CONFIG_CONSOLE_SERIAL_38400 is not set
-# CONFIG_CONSOLE_SERIAL_19200 is not set
-# CONFIG_CONSOLE_SERIAL_9600 is not set
-
-#
-# Devices
-#
-CONFIG_PCI_OPTION_ROM_RUN=y
-# CONFIG_PCI_OPTION_ROM_RUN_X86EMU is not set
-CONFIG_PCI_OPTION_ROM_RUN_VM86=y
-# CONFIG_PCI_OPTION_ROM_RUN_NONE is not set
-# CONFIG_MULTIPLE_VGA_INIT is not set
-# CONFIG_INITIALIZE_ONBOARD_VGA_FIRST is not set
-CONFIG_NORTHBRIDGE_INTEL_I440BXEMULATION=y
-CONFIG_SOUTHBRIDGE_INTEL_I82371EB=y
-CONFIG_SUPERIO_WINBOND_W83627HF=y
-CONFIG_NORTHBRIDGE_INTEL_I440BXEMULATION_RAMSIZE=32
-
-#
-# Payload
-#
-# CONFIG_PAYLOAD_PREPARSE_ELF is not set
-CONFIG_PAYLOAD_ELF=y
-# CONFIG_PAYLOAD_NONE is not set
-CONFIG_PAYLOAD_FILE="payload.elf"
Index: buildrom-devel/packages/linuxbios/qemu.mk
===================================================================
--- buildrom-devel/packages/linuxbios/qemu.mk	(revision 89)
+++ buildrom-devel/packages/linuxbios/qemu.mk	(working copy)
@@ -1,44 +1,37 @@
 # This is the QEMU LinuxBIOS target
 
 ifeq ($(CONFIG_PLATFORM),y)
-ifeq ($(LINUXBIOS_TAG),)
+ifeq ($(LBV2_TAG),)
 $(error You need to specify a version to pull in your platform config)
 endif
 endif
 
-LINUXBIOS_PATCHES =
+LBV2_PATCHES =
 
-
-
-LINUXBIOS_BASE_DIR=svn
+LBV2_BASE_DIR=svn
 TARGET_ROM = $(LINUXBIOS_VENDOR)-$(LINUXBIOS_BOARD).rom
-LINUXBIOS_PAYLOAD_TARGET=$(LINUXBIOS_BUILD_DIR)/payload.elf
+LBV2_PAYLOAD_TARGET=$(LBV2_BUILD_DIR)/payload.elf
 
-ifeq ($(CONFIG_LINUXBIOS_V3),y)
-	LINUXBIOS_URL=svn://linuxbios.org/repository/LinuxBIOSv3
-	LINUXBIOS_TARBALL=linuxbiosv3-svn-$(LINUXBIOS_TAG).tar.gz
-	LINUXBIOS_SVN_DIR=$(SOURCE_DIR)/linuxbiosv3
+ifeq ($(CONFIG_PAYLOAD_LAB),y)
+LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/qemu-lab.patch
 else
-	ifeq ($(CONFIG_PAYLOAD_LAB),y)
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/qemu-lab.patch
-	else
-	LINUXBIOS_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/qemu-payload.patch
-	endif
-	LINUXBIOS_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
-	LINUXBIOS_TARBALL=linuxbios-svn-$(LINUXBIOS_TAG).tar.gz
-	LINUXBIOS_SVN_DIR=$(SOURCE_DIR)/linuxbios
+LBV2_PATCHES += $(PACKAGE_DIR)/linuxbios/patches/qemu-payload.patch
 endif
 
+LBV2_URL=svn://linuxbios.org/repos/trunk/LinuxBIOSv2
+LBV2_TARBALL=linuxbios-svn-$(LBV2_TAG).tar.gz
+LBV2_SVN_DIR=$(SOURCE_DIR)/linuxbios
+
 include $(PACKAGE_DIR)/linuxbios/linuxbios.inc
 
-$(SOURCE_DIR)/$(LINUXBIOS_TARBALL):
+$(SOURCE_DIR)/$(LBV2_TARBALL):
 	@ echo "Fetching the LinuxBIOS code..."
 	@ mkdir -p $(SOURCE_DIR)/linuxbios
-	@ $(BIN_DIR)/fetchsvn.sh $(LINUXBIOS_URL) $(LINUXBIOS_SVN_DIR) \
-	$(LINUXBIOS_TAG) $(SOURCE_DIR)/$(LINUXBIOS_TARBALL) \
-	> $(LINUXBIOS_FETCH_LOG) 2>&1
+	@ $(BIN_DIR)/fetchsvn.sh $(LBV2_URL) $(LBV2_SVN_DIR) \
+	$(LBV2_TAG) $(SOURCE_DIR)/$(LBV2_TARBALL) \
+	> $(LBV2_FETCH_LOG) 2>&1
 
-$(OUTPUT_DIR)/$(TARGET_ROM): $(LINUXBIOS_OUTPUT)
+$(OUTPUT_DIR)/$(TARGET_ROM): $(LBV2_OUTPUT)
 	@ mkdir -p $(OUTPUT_DIR)
 	@ cp $< $@
 
